﻿@import url('https://rsms.me/inter/inter.css');

:root {
    --tblr-font-sans-serif: 'Inter Var', -apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif;
    --tblr-modal-dropdown-zindex: 1056;
    --tblr-lightgrey: #dadfe5;
    --tblr-lightgrey-fg: #000000;
    --tblr-darkgrey: #929dab;
    --tblr-darkgrey-fg: #ffffff;
}

body {
    font-feature-settings: "cv03", "cv04", "cv11";
}

.page-body {
    margin-bottom: 0;
}

.sticky-top {
    outline: 1px solid rgba(4,32,69,.14);
    z-index: 999;
}

.to-top-btn a {
    text-decoration: none;
    position: fixed;
    bottom: 20px;
    right: 30px;
    font-size: 48px;
    z-index: 999;
    opacity: 20%;
}

    .to-top-btn a:hover {
        opacity: 100%;
    }

.font-small {
    font-size: 12px !important;
}

.font-normal {
    font-size: 14px !important;
}

.font-large {
    font-size: 17px !important;
}

.monochrome {
    filter: grayscale(1);
}

.cursor-larger {
    cursor: url(/img/cursor1.png) 2 2, pointer !important;
}

.cursor-largest {
    cursor: url(/img/cursor2.png) 2 2, pointer !important;
}

.high-contrast {
    filter: invert(100%);
}

.markdown > table thead th, .table thead th {
    text-transform: inherit;
    font-size: .8rem;
}

.navbar-brand {
    font-size: 1rem;
}

.page-title {
    font-size: 1.6rem;
}

.page-pretitle {
    font-size: 1rem;
}

.avatar {
    min-width: var(--tblr-avatar-size);
    width: unset;
    padding: 7px;
}

.bg-lightgrey {
    background-color: var(--tblr-gray-300) !important;
}

.text-lightgrey-fg {
    color: black;
}
.text-lightgrey {
    --tblr-text-opacity: 1;
    color: var(--tblr-gray-300) !important
}

.bg-darkgrey {
    background-color: var(--tblr-gray-500) !important;
}

.text-darkgrey-fg {
    color: white;
}

.text-darkgrey {
    --tblr-text-opacity: 1;
    color: var(--tblr-gray-500) !important
}

.sticky-col {
    position: sticky;
    left: -8px; /* Pins the column to the left */
    background-color: inherit; /* Ensures the background matches the row */
    z-index: 10; /* Keeps the column above other scrolling content */
}
/*.sticky-col::after {
    content: '';
    position: absolute;
    right: -1px; 
    top: 0;
    bottom: 0;
    width: 1px;
    box-shadow: 1px 0 5px rgba(0,0,0,0.2);
}*/
